> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tenant entities (users or groups)

> Returns a paginated list of users and groups in the authenticated user's Blink tenant.



## OpenAPI

````yaml get /tenant/entities
openapi: 3.0.1
info:
  title: Blink REST API
  description: >-
    The Blink REST API provides programmatic access to Blink data and
    functionality, enabling the management of resources such as workflows,
    users, cases, and more.
  termsOfService: https://www.blinkops.com/terms-of-use
  contact:
    name: API Support
    url: http://blinkops.com/support
    email: support@blinkops.com
  version: '1.0'
servers:
  - url: https://app.blinkops.com/api/v1
security: []
tags:
  - name: Controller
    description: Controller health and stats
  - name: Connections
    description: Manage your connections
  - name: Integrations
    description: Manage your integrations
  - name: Invites
    description: Manage your invites
  - name: Workflows
    description: Create and execute your workflows
  - name: Executions
    description: Get information and manage executions
  - name: Runners
    description: Configure your runners
  - name: Tables
    description: Manage your tables
  - name: Case Management
    description: Manage your cases
  - name: User Settings
    description: Manage user settings
  - name: Webhook
    description: Send to webhook
  - name: workspaces
    description: Manage your workspaces
  - name: User Info
    description: Get Information on current user
  - name: Portal
    description: Manage your portal apps
  - name: Groups
    description: Manage your Groups
  - name: Users
    description: Manage your users
paths:
  /tenant/entities:
    get:
      tags:
        - Tenant
      summary: Get tenant entities (users or groups)
      description: >-
        Returns a paginated list of users and groups in the authenticated user's
        Blink tenant.
      operationId: GetEntities
      parameters:
        - name: q
          in: query
          description: >-
            For the RQL query syntax, visit our [RQL query
            documentation](https://docs.blinkops.com/docs/blink-platform/tables/tables-in-workflows#get-a-record)
            in the `RQL Format` tab
          schema:
            type: string
      responses:
        '200':
          description: Paginated list of tenant entities
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/api_responses.ResponseWrapper'
                  - type: object
                    properties:
                      results:
                        type: array
                        items:
                          $ref: '#/components/schemas/models.TenantEntity'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
        '404':
          description: Entity not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api_responses.ResponseWrapper:
      type: object
      properties:
        limit:
          type: integer
        offset:
          type: integer
        results:
          type: object
        total:
          type: integer
    models.TenantEntity:
      type: object
      properties:
        auth_ids:
          type: array
          items:
            type: string
        description:
          type: string
        email:
          type: string
        entity_id:
          type: string
        entity_type:
          type: string
        is_invite:
          type: boolean
        member_count:
          type: integer
        name:
          type: string
        role:
          type: string
        status:
          type: string
    api_responses.ErrorWrapper:
      type: object
      properties:
        data:
          type: object
        details:
          type: string
        identifier:
          type: string
        message:
          type: string
        status:
          type: integer
          example: 404
        user_error:
          type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: >-
        Use your API key to access BlinkOps API. To generate an API key, please
        log in to your BlinkOps account and navigate to the API Keys section in
        the user settings page. Add the generated key to your request headers as
        BLINK-API-KEY.
      name: BLINK-API-KEY
      in: header

````